Create dynamic group

Dynamic group creation will allow to evaluate membership based on defined condition set of user profile's attributes. Its membership will get updated dynamically based on change in user profile attribute.
To create dynamic group, name and conditionSet is required. An optional description attribute can be set to describe the dynamic group.

Entitlement required: tenantAdmin, manageDynamicGroups
Note: You only need one entitlement, but you can have more than one.

Body Params

Dynamic group name, description and condition set

string

Name of dynamic group. Maximum length can be 1024 characters.

string

Description of dynamic group. Maximum length can be 1024 characters.

conditionSet
array of objects

Condition set to evaluate membership for the dynamic group.
Maximum length can be 1024 characters.
Condition set format is [{"{attributeName}":[{"op":"{operator}","vl":"{value}"}]}]

Attribute name can be fetched from GET https://{tenanturl}/v1.0/attributes?search=sourceType="schema"&tags!="hashed" API.
Valid operators for string and multivalue string data type are eq (equal), sw (startswith) and ew (endswith).
Valid operator for number and boolean data type is eq (equal).

Example condition set:
Security department users from Pune: [{"department":[{"op":"eq","vl":"Security"}],"work_locality":[{"op":"eq","vl":"Pune"}]}]
Security department users from either Pune or Bangalore: [{"department":[{"op":"eq","vl":"Security"}],"work_locality":[{"op":"eq","vl":"Pune"}]},{"department":[{"op":"eq","vl":"Security"}],"work_locality":[{"op":"eq","vl":"Bangalore"}]}]

conditionSet
Responses

Language
URL
Response
Choose an example:
application/json